# Restaurant Project

## Description

This project is a multi-page web application for a restaurant. It utilizes HTML, CSS, and JavaScript to create a dynamic and interactive user experience. The application features several pages including a menu, contact and a home page.

## Getting Started

Follow these instructions to get the project up and running on your local machine.

### Prerequisites

-   Web Browser (Chrome, Firefox, Safari, etc.)
-   Text editor or IDE (VSCode, Sublime Text, Atom, etc.)

### Installation

1.  **Clone the Repository**
```
bash
    git clone [repository URL]
    cd restaurant
    
```
2. **Install Dependencies**
```
bash
    cd app
    npm install
```
### Build

To build the application:
```
bash
    npm run build
```
### Running Locally

To run the application:
```
bash
    npm start
```
This command will bundle the application with webpack and serve the file to your browser at `http://localhost:8080`.

## Project Structure

-   `index.html`: The main HTML file.
-   `src/`: Contains the JavaScript, CSS, and asset files.
-   `src/index.js`: The main javascript file.
-   `dist/`: Contains the bundle.js file.

## Contributing

Contributions are welcome! Please read the contributing guidelines before getting started.

## License

This project is licensed under the MIT License - see the LICENSE.md file for details.